/*************************************************************************************
 *
 * $RCSfile: MAX7219_7_Segment_Display.ino,v $
 * $Date: 2014/07/20 02:16:39 $
 * $Revision: 1.1 $
 *
 * 4 digits, 7 segments test program for the Max7219CNG display driver library.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
 * PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION 
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * (c)2014, Claude "Tryphon" Theroux, Montreal, Quebec, 
 * 
 ************************************************************************************/
 
#include "CTTMax7219Lib.h"

/** Clock pin on the arduino. */
int pinCLK = 10;
/** Chip select pin on the arduino. */
int pinCS = 9;
/** Data IN on the arduino. */
int pinDIN = 8;

/** Led driver handle. */
CTTMax7219 max7219(pinCLK, pinCS, pinDIN);


/**
 * Sketch setup function. 
 */
void setup()
{
  max7219.setBrightness(1);
  max7219.setBCDMode(CTTMax7219::FOUR_DIGITS);
  //max7219.setScanLimit(4);
  max7219.initialize();
}

/**
 * Sketch main function. 
 */
void loop()
{ 
  for( int value = 0; value < 10; ++value ) {
    for( int digitNo = 1; digitNo <= 4; ++digitNo ) {
      max7219.write(digitNo, value);
      delay(250);
    }
  }
  for( int digitNo = 1; digitNo <= 4; ++digitNo ) {
    max7219.write(digitNo, 0x0a);
  }
  delay(500);
  for( int i = 0; i < 10; ++i ) {
    max7219.write(4, 0x0c);
    max7219.write(3, 0x0b);
    max7219.write(2, 0x0d);
    max7219.write(1, 0x0e);
    delay(500);
    for( int j = 1; j <= 4; ++j ) {
      max7219.write(j, 0x0f);
    }
    delay(250);
  }
}

