/*************************************************************************************
 *
 * $RCSfile: MAX7219_Led_Matrix.ino,v $
 * $Date: 2014/07/20 02:16:39 $
 * $Revision: 1.1 $
 *
 * Led matrix test program for the Max7219CNG display driver library.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, 
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A 
 * PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT 
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION 
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 * (c)2014, Claude "Tryphon" Theroux, Montreal, Quebec, 
 * 
 ************************************************************************************/
 
#include "CTTMax7219Lib.h"

/** Clock pin on the arduino. */
int pinCLK = 10;
/** Chip select pin on the arduino. */
int pinCS = 9;
/** Data IN on the arduino. */
int pinDIN = 8;

/** Max7219CNG driver handle. */
CTTMax7219 max7219(pinCLK, pinCS, pinDIN);

/**
  * Pattern to be displayed.
  */
unsigned char pattern[6][8]={
  {0xff,0x81,0x81,0x81,0x81,0x81,0x81,0xff},
  {0x00,0x7e,0x42,0x42,0x42,0x42,0x7e,0x00},
  {0x00,0x00,0x3c,0x24,0x24,0x3c,0x00,0x00},
  {0x00,0x00,0x00,0x18,0x18,0x00,0x00,0x00},
  {0x00,0x00,0x3c,0x24,0x24,0x3c,0x00,0x00},
  {0x00,0x7e,0x42,0x42,0x42,0x42,0x7e,0x00}
};

/**
 * Sketch setup. 
 *
 */
void setup()
{
  max7219.setBrightness(1);
  max7219.initialize();
}


/**
 * Main function. 
 *
 */
void loop()
{ 
  int i, j;

  for(j = 0; j < 6; j++)
  {
    for(i = 1; i < 9; i++)
    max7219.write(i, pattern[j][i - 1]);
    delay(100);
  } 		
}

